Subject: Re: cloning the linxu kernel repo at a VPS with small RAM

From: Eric Wong <[email-masked]>
Date: Fri, 9 Feb 2024 01:29:40 +0000

Toralf Förster <[email-masked]> wrote:
> I do wonder if Git could automatically try to deal with only 1.5 GiB
> available RAM?

I have to use pack.threads=1 myself on SMP machines, too.

_SC_AVPHYS_PAGES should probably be accounted for in addition
to _SC_NPROCESSORS_CONF when calculating the default pack.threads value.
Calculating good defaults is hard, though...

I've also been meaning to try the newer tombstone-free khashl
to replace khash in our tree for memory savings:

https://attractivechaos.wordpress.com/2019/12/28/deletion-from-hash-tables-without-tombstones/

Perhaps you (or someone else) can take the lead, there.